Ns_error_net_inadequate_security

  1. Ns_error_net_inadequate_security Http/2
  2. Error Code: Ns_error_net_inadequate_security

It is not giving me an Advanced button or an 'I know the risks' button, or any other way to respond. Among the sites that won't load is mozilla.org.

The error usually happens for Chrome users but it might appear on Firefox as well.Your connection is not secureThe we. Solution: Hey there - this looks like a pretty common issue, and the fix mainly cited is this one (from multiple different.

This is what the window says when I try to visit almost any https site:

Your connection is not secure

The website tried to negotiate an inadequate level of security.

Ns_error_net_inadequate_securityNs_error_net_inadequate_security

www.mozilla.org uses security technology that is outdated and vulnerable to attack. An attacker could easily reveal information which you thought to be safe. The website administrator will need to fix the server first before you can visit the site.

Error code: NS_ERROR_NET_INADEQUATE_SECURITY

I looked at the troubleshooting information, 'Important Modified Preferences', but there were no security.* preferences mentioned, or any mention of SSL/TLS.

I tried refreshing again but same result.

Oddly, app.napster.com loads OK (but I can't get it to play any music).

Ns_error_net_inadequate_security Http/2

Firefox ns_error_net_inadequate_security

Error Code: Ns_error_net_inadequate_security

Using 57.0.1, 64-bit, Fedora 27, Linux kernel 4.14.8.